Class | PhusionPassenger::Utils::RewindableInput::Tempfile
In: | lib/phusion_passenger/utils/rewindable_input.rb
Parent: | ::Tempfile

Many Ruby 1.8‘s tempfile libraries have a bug that can cause the #close method to raise an exception. Subclass it and fix it.

### Methods

_close

### Public Instance methods

_close()

[Source]

        # File lib/phusion_passenger/utils/rewindable_input.rb, line 72
    72:         def _close
    73:           @tmpfile.close if @tmpfile
    74:           @data[1] = nil if @data
    75:           @tmpfile = nil
    76:         end

[Validate]